import request from './request'


export default {

    fixedGenerate(data) {
        return request({
            url: '/gift_code/fixed_generate',
            method: 'post',
            data
        });
    },

    randomGenerate(data) {
        return request({
            url: '/gift_code/random_generate',
            method: 'post',
            data
        });
    },

    query(data) {
        return request({
            url: '/gift_code/query',
            method: 'post',
            data
        });
    },

    update(data) {
        return request({
            url: '/gift_code/update',
            method: 'put',
            data
        });
    },

    delete(data) {
        return request({
            url: '/gift_code/delete',
            method: 'delete',
            data
        });
    },

    deleteBatch(data) {
        return request({
            url: '/gift_code/delete_batch',
            method: 'delete',  
            data
        });
    },

    deleteGroup(data) {
        return request({
            url: '/gift_code/delete_group',
            method: 'delete',  
            data
        });
    },

}
